<ion-modal-view cache-view="false">
    <ion-header-bar class="fix-buttons custom-bar">
        <a ng-click="closeProdutosModal()">
            <i class="icon-chevron-left"></i>
        </a>
        <div class="title title-center header-item" style="transition-duration: 0ms; transform: translate3d(0px, 0px, 0px); left: 25px; right: 25px;">Lista de produtos</div>
    </ion-header-bar>
    <ion-content class="budget-new">
        <ion-list>
            <div class="letter-category">            
                <span ng-repeat-start="produto in produtos | orderBy:'+name'" ng-if="produto.name.charAt(0) != produtos[$index - 1].name.charAt(0)">
                    {{ produto.name.charAt(0) }}
                </span>
                <div class="infos-cliente" ng-repeat-end>
                    <ion-checkbox ng-change="updateProdutosSelecionados(produto)" ng-model="produto.selecionado">{{ produto.name }}</ion-checkbox>
                </div>                
                <div class="no-clients" ng-if="!produtos">
                    <div class="row">
                        <div class="col">
                            <h3>Nenhum produto cadastrado 😔</h3>
                        </div>
                    </div>                
                </div>
            </div>
        </ion-list>
        <button type="button" ng-click="selecionarProdutos()" class="col col-66 edit-btn">
                <i class="ion-android-add"></i>
                Adicionar Produto
            </button>
    </ion-content>
</ion-modal-view>
